import { select, json, geoPath, geoEquirectangular } from 'd3';
import { feature } from 'topojson';

//Using D3.js to Add an SVG Element
const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');
//set up the geoEquirectangular projection
//scale and orienting the map.
const proj = d3.geoEquirectangular().scale(150).translate([width/ 2, height / 2]);
const pathGenerator = geoPath().projection(proj);

//Create a class called sphere
svg.append('path')
    .attr('class', 'sphere')
    .attr('d', pathGenerator({type: 'Sphere'}));

// Data from all nations is being loaded from the gist.
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-10m.json')
  .then(data => {
    var countries = feature(data, data.objects.countries);
  
 // To import the countries data into the path generator, create an svg file.  
  svg.selectAll('path').data(countries.features)
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', pathGenerator);
  });